<?php

namespace Classifieds\Advertisement;

use DB;
use Illuminate\Database\Seeder;

class FavoriteTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('favorites')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advertisement.favorite.view',
                'name'      => 'View Favorite',
            ],
            [
                'slug'      => 'advertisement.favorite.create',
                'name'      => 'Create Favorite',
            ],
            [
                'slug'      => 'advertisement.favorite.edit',
                'name'      => 'Update Favorite',
            ],
            [
                'slug'      => 'advertisement.favorite.delete',
                'name'      => 'Delete Favorite',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advertisement/favorite',
                'name'        => 'Favorite',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advertisement/favorite',
                'name'        => 'Favorite',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'favorite',
                'name'        => 'Favorite',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advertisement',
                'module'    => 'Favorite',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advertisement.favorite.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
