    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#favorite" data-toggle="tab">{!! trans('advertisement::favorite.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#advertisement-favorite-edit'  data-load-to='#advertisement-favorite-entry' data-datatable='#advertisement-favorite-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#advertisement-favorite-entry' data-href='{{guard_url('advertisement/favorite')}}/{{$favorite->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('advertisement-favorite-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('advertisement/favorite/'. $favorite->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="favorite">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('advertisement::favorite.name') !!} [{!!$favorite->name!!}] </div>
                @include('advertisement::admin.favorite.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>