            @include('advertisement::advertisement.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('advertisement::advertisement.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($advertisement->defaultImage('images' , 'xl'))!!}" alt="{{$advertisement->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('advertisement::advertisement.label.id') !!}
                </label><br />
                    {!! $advertisement['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="category_id">
                    {!! trans('advertisement::advertisement.label.category_id') !!}
                </label><br />
                    {!! $advertisement['category_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="sub_category_id">
                    {!! trans('advertisement::advertisement.label.sub_category_id') !!}
                </label><br />
                    {!! $advertisement['sub_category_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="state_id">
                    {!! trans('advertisement::advertisement.label.state_id') !!}
                </label><br />
                    {!! $advertisement['state_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="city_id">
                    {!! trans('advertisement::advertisement.label.city_id') !!}
                </label><br />
                    {!! $advertisement['city_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('advertisement::advertisement.label.user_id') !!}
                </label><br />
                    {!! $advertisement['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_type">
                    {!! trans('advertisement::advertisement.label.user_type') !!}
                </label><br />
                    {!! $advertisement['user_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('advertisement::advertisement.label.name') !!}
                </label><br />
                    {!! $advertisement['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="description">
                    {!! trans('advertisement::advertisement.label.description') !!}
                </label><br />
                    {!! $advertisement['description'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="images">
                    {!! trans('advertisement::advertisement.label.images') !!}
                </label><br />
                    {!! $advertisement['images'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="data">
                    {!! trans('advertisement::advertisement.label.data') !!}
                </label><br />
                    {!! $advertisement['data'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="price">
                    {!! trans('advertisement::advertisement.label.price') !!}
                </label><br />
                    {!! $advertisement['price'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="tags">
                    {!! trans('advertisement::advertisement.label.tags') !!}
                </label><br />
                    {!! $advertisement['tags'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="contact_information">
                    {!! trans('advertisement::advertisement.label.contact_information') !!}
                </label><br />
                    {!! $advertisement['contact_information'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="cotact_status">
                    {!! trans('advertisement::advertisement.label.cotact_status') !!}
                </label><br />
                    {!! $advertisement['cotact_status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('advertisement::advertisement.label.slug') !!}
                </label><br />
                    {!! $advertisement['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('advertisement::advertisement.label.status') !!}
                </label><br />
                    {!! $advertisement['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('advertisement::advertisement.label.deleted_at') !!}
                </label><br />
                    {!! $advertisement['deleted_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('advertisement::advertisement.label.created_at') !!}
                </label><br />
                    {!! $advertisement['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('advertisement::advertisement.label.updated_at') !!}
                </label><br />
                    {!! $advertisement['updated_at'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('category_id')
                    -> options(trans('advertisement::advertisement.options.category_id'))
                    -> label(trans('advertisement::advertisement.label.category_id'))
                    -> required()
                    -> placeholder(trans('advertisement::advertisement.placeholder.category_id'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('sub_category_id')
                    -> options(trans('advertisement::advertisement.options.sub_category_id'))
                    -> label(trans('advertisement::advertisement.label.sub_category_id'))
                    -> placeholder(trans('advertisement::advertisement.placeholder.sub_category_id'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('state_id')
                    -> options(trans('advertisement::advertisement.options.state_id'))
                    -> label(trans('advertisement::advertisement.label.state_id'))
                    -> required()
                    -> placeholder(trans('advertisement::advertisement.placeholder.state_id'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('city_id')
                    -> options(trans('advertisement::advertisement.options.city_id'))
                    -> label(trans('advertisement::advertisement.label.city_id'))
                    -> placeholder(trans('advertisement::advertisement.placeholder.city_id'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('advertisement::advertisement.label.name'))
                       -> required()
                       -> placeholder(trans('advertisement::advertisement.placeholder.name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::textarea ('description')
                    -> label(trans('advertisement::advertisement.label.description'))
                    -> placeholder(trans('advertisement::advertisement.placeholder.description'))!!}
                </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="images" class="control-label col-lg-12 col-sm-12 text-left">
                         {{trans('advertisement::advertisement.label.images') }}
                         </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $advertisement->files('images', 10)
                            ->mime(config('filer.image_extensions'))
                            ->url($advertisement->getUploadUrl('images'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $advertisement->files('images')
                             ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('data')
                       -> label(trans('advertisement::advertisement.label.data'))
                       -> placeholder(trans('advertisement::advertisement.placeholder.data'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('price')
                       -> label(trans('advertisement::advertisement.label.price'))
                       -> placeholder(trans('advertisement::advertisement.placeholder.price'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('tags')
                       -> label(trans('advertisement::advertisement.label.tags'))
                       -> placeholder(trans('advertisement::advertisement.placeholder.tags'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_information')
                       -> label(trans('advertisement::advertisement.label.contact_information'))
                       -> placeholder(trans('advertisement::advertisement.placeholder.contact_information'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('cotact_status')
                       -> label(trans('advertisement::advertisement.label.cotact_status'))
                       -> placeholder(trans('advertisement::advertisement.placeholder.cotact_status'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



