<?php

namespace Classifieds\Advertisement\Repositories\Eloquent;

use Classifieds\Advertisement\Interfaces\FavoriteRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class FavoriteRepository extends BaseRepository implements FavoriteRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('classifieds.advertisement.favorite.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('classifieds.advertisement.favorite.model.model');
    }
}
